//---------------------------------------------------------------------------

#ifndef LCTankCircuitFrmH
#define LCTankCircuitFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TLCTankCircuitForm : public TForm
{
protected:
	BEGIN_MESSAGE_MAP
		VCL_MESSAGE_HANDLER(WM_SYSCOMMAND, TWMSysCommand, WMSysCommand);
		VCL_MESSAGE_HANDLER(WM_NCLBUTTONDBLCLK, TMessage, WmNCLButtonDblClk);
	END_MESSAGE_MAP(TForm)
__published:	// IDE Ǘ̃R|[lg
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TEdit *Inductance_0_Edit;
	TEdit *Capacitance_0_Edit;
	TEdit *Frequency_0_Edit;
	TButton *Calc_0_Button;
	TComboBox *InductanceUnit_0_ComboBox;
	TComboBox *CapacitanceUnit_0_ComboBox;
	TComboBox *FrequencyUnit_0_ComboBox;
	TTabSheet *TabSheet2;
	TGroupBox *GroupBox2;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TEdit *Frequency_1_Edit;
	TEdit *Inductance_1_Edit;
	TEdit *Capacitance_1_Edit;
	TButton *Calc_1_Button;
	TComboBox *InductanceUnit_1_ComboBox;
	TComboBox *CapacitanceUnit_1_ComboBox;
	TComboBox *FrequencyUnit_1_ComboBox;
	TTabSheet *TabSheet3;
	TGroupBox *GroupBox3;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TEdit *Frequency_2_Edit;
	TEdit *Capacitance_2_Edit;
	TEdit *Inductance_2_Edit;
	TButton *Calc_2_Button;
	TComboBox *InductanceUnit_2_ComboBox;
	TComboBox *CapacitanceUnit_2_ComboBox;
	TComboBox *FrequencyUnit_2_ComboBox;
	void __fastcall Calc_0_ButtonClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FrequencyUnit_0_ComboBoxChange(TObject *Sender);
	void __fastcall Calc_1_ButtonClick(TObject *Sender);
	void __fastcall CapacitanceUnit_1_ComboBoxChange(TObject *Sender);
	void __fastcall Calc_2_ButtonClick(TObject *Sender);
	void __fastcall InductanceUnit_2_ComboBoxChange(TObject *Sender);
private:	// [U[錾
	// g [Hz] ̌vZ
	double m_frequency_0;
	// LpV^X [F] ̌vZ
	double m_capacitance_1;
	// C_N^X [H] ̌vZ
	double m_inductance_2;

protected:	// [U[錾
	void __fastcall WMSysCommand(TWMSysCommand& Msg);
	void __fastcall WmNCLButtonDblClk(TMessage& Msg);

	// C_N^X̒l擾܂B
	double __fastcall GetInductance(TEdit *Edit, TComboBox *ComboBox) const;
	// LpV^X̒l擾܂B
	double __fastcall GetCapacitance(TEdit *Edit, TComboBox *ComboBox) const;
	// Ug̒l擾܂B
	double __fastcall GetFrequency(TEdit *Edit, TComboBox *ComboBox) const;

public:		// [U[錾
	__fastcall TLCTankCircuitForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TLCTankCircuitForm *LCTankCircuitForm;
//---------------------------------------------------------------------------
#endif
