/*
    Coil Master - A coil inductance calculator.
    Copyright (C) 2010 Hiroyuki Shimada (JQ1WDN). All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301 USA
*/
//---------------------------------------------------------------------------

#ifndef ToolSquareFrmH
#define ToolSquareFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TToolSquareForm : public TForm
{
protected:
	BEGIN_MESSAGE_MAP
		VCL_MESSAGE_HANDLER(WM_SYSCOMMAND, TWMSysCommand, WMSysCommand);
		VCL_MESSAGE_HANDLER(WM_NCLBUTTONDBLCLK, TMessage, WmNCLButtonDblClk);
	END_MESSAGE_MAP(TForm)
__published:	// IDE Ǘ̃R|[lg
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TTabSheet *TabSheet2;
	TGroupBox *GroupBox1;
	TEdit *Inductance_0_Edit;
	TEdit *Side_0_Edit;
	TEdit *Length_0_Edit;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TButton *Calc_0_Button;
	TEdit *Turns_0_Edit;
	TLabel *Label4;
	TComboBox *Unit_0_ComboBox;
	TLabel *Label6;
	TEdit *Pitch_1_Edit;
	TButton *Calc_1_Button;
	TGroupBox *GroupBox2;
	TLabel *Label5;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TEdit *Inductance_1_Edit;
	TEdit *Side_1_Edit;
	TEdit *Length_1_Edit;
	TComboBox *Unit_1_ComboBox;
	TLabel *Label11;
	TLabel *Label10;
	TLabel *Label12;
	TLabel *Label13;
	TLabel *Label14;
	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label17;
	TLabel *Label18;
	TTabSheet *TabSheet4;
	TTabSheet *TabSheet3;
	TLabel *Label19;
	TGroupBox *GroupBox3;
	TLabel *Label20;
	TLabel *Label21;
	TLabel *Label23;
	TLabel *Label24;
	TLabel *Label25;
	TEdit *Inductance_2_Edit;
	TEdit *Side_2_Edit;
	TEdit *Turns_2_Edit;
	TComboBox *Unit_2_ComboBox;
	TButton *Calc_2_Button;
	TLabel *Label26;
	TEdit *Length_2_Edit;
	TLabel *Label27;
	TEdit *Pitch_2_Edit;
	TLabel *Label28;
	TRadioButton *Turns_2_RadioButton;
	TRadioButton *Pitch_2_RadioButton;
	TLabel *Label22;
	TGroupBox *GroupBox4;
	TLabel *Label29;
	TLabel *Label30;
	TLabel *Label31;
	TLabel *Label32;
	TLabel *Label33;
	TLabel *Label34;
	TEdit *Inductance_3_Edit;
	TEdit *Length_3_Edit;
	TEdit *Turns_3_Edit;
	TComboBox *Unit_3_ComboBox;
	TEdit *Pitch_3_Edit;
	TRadioButton *Turns_3_RadioButton;
	TRadioButton *Pitch_3_RadioButton;
	TButton *Calc_3_Button;
	TLabel *Label35;
	TEdit *Side_3_Edit;
	TLabel *Label36;
	void __fastcall Calc_0_ButtonClick(TObject *Sender);
	void __fastcall Calc_1_ButtonClick(TObject *Sender);
	void __fastcall RadioButtons_2_Click(TObject *Sender);
	void __fastcall Calc_2_ButtonClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall RadioButtons_3_Click(TObject *Sender);
	void __fastcall Calc_3_ButtonClick(TObject *Sender);
private:	// [U[錾
protected:	// [U[錾
	void __fastcall WMSysCommand(TWMSysCommand& Msg);
	void __fastcall WmNCLButtonDblClk(TMessage& Msg);

	double __fastcall GetInductance(
		TEdit *inductanceEdit, TComboBox *unitComboBox) const;
public:		// [U[錾
	__fastcall TToolSquareForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TToolSquareForm *ToolSquareForm;
//---------------------------------------------------------------------------
#endif
